QXmppPushEnableIq Class Reference
Stanzas

This class represents an IQ to enable or disablepush notifications on the user server. More...

`#include <QXmppPushEnableIq.h>`

Inheritance diagram for QXmppPushEnableIq:
[legend]
Collaboration diagram for QXmppPushEnableIq:
[legend]

## Public Types

enum | Mode : bool { Enable = true , Disable = false }
| The Mode enum describes whether the IQ should enable or disable push notifications.
Public Types inherited from QXmppIq
enum | Type { Error = 0 , Get , Set , Result }
| This enum describes the type of IQ. More...

## Public Member Functions

| QXmppPushEnableIq (const QXmppPushEnableIq &)
QXmppPushEnableIq & | operator= (const QXmppPushEnableIq &)
QString | jid () const
| Returns the jid of the app server.
void | setJid (const QString &jid)
| Sets the jid of the app server.
QString | node () const
| Returns the pubsub node on the app server used by the IQ.
void | setNode (const QString &node)
| Set the pubsub note on the app server to be used by the IQ.
void | setMode (Mode mode)
| Set whether the IQ should enable or disable push notifications.
Mode | mode ()
| Returns the mode.
QXmppDataForm | dataForm () const
| Returns the data form containing the publish options which the user server Should send to the app server. More...
void | setDataForm (const QXmppDataForm &form)
| Sets the data form containing the publish options which the user server Should send to the app server. More...
Public Member Functions inherited from QXmppIq
| QXmppIq (QXmppIq::Type type=QXmppIq::Get)
| QXmppIq (const QXmppIq &other)
| Constructs a copy of other.
QXmppIq & | operator= (const QXmppIq &other)
| Assigns other to this IQ.
QXmppIq::Type | type () const
void | setType (QXmppIq::Type)
bool | isXmppStanza () const override
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
virtual | ~QXmppStanza ()
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QString | to () const
void | setTo (const QString &)
QString | from () const
| Returns the stanza's sender JID.
void | setFrom (const QString &)
QString | id () const
| Returns the stanza's identifier.
void | setId (const QString &)
QString | lang () const
| Returns the stanza's language.
void | setLang (const QString &)
QXmppStanza::Error | error () const
| Returns the stanza's error.
void | setError (const QXmppStanza::Error &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)

## Static Public Member Functions

static bool | isPushEnableIq (const QDomElement &element)
| Checks whether a QDomElement is a push notification enable / disable IQ.

## Detailed Description

This class represents an IQ to enable or disablepush notifications on the user server.

Since
  QXmpp 1.3

## Member Function Documentation

## dataForm()

QXmppDataForm QXmppPushEnableIq::dataForm | ( |  | ) | const

Returns the data form containing the publish options which the user server Should send to the app server.

It is only available for enable IQs.

## setDataForm()

void QXmppPushEnableIq::setDataForm | ( | const QXmppDataForm & | form | ) |

Sets the data form containing the publish options which the user server Should send to the app server.

It should only be set for enable IQs.

The documentation for this class was generated from the following files:

- QXmppPushEnableIq.h
- QXmppPushEnableIq.cpp